INTERFACE
SUBROUTINE ACHMTLS ( KIDIA,KFDIA,KLON,KLEV,&
 & PAPHI,PAPHIF,PAPRS,PAPRSF,PR,PT,&
 & PTS,PQS,PDPHIT,&
 & LDCLS,&
 & PNBVNO,&
 & PCPS,PGWDCS,PLHS,PZPCLS,&
 & CDLOCK) 
USE PARKIND1 ,ONLY : JPIM ,JPRB
INTEGER(KIND=JPIM),INTENT(IN) :: KLON
INTEGER(KIND=JPIM),INTENT(IN) :: KLEV
INTEGER(KIND=JPIM),INTENT(IN) :: KIDIA
INTEGER(KIND=JPIM),INTENT(IN) :: KFDIA
REAL(KIND=JPRB) ,INTENT(IN) :: PAPHI (KLON,0:KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PAPHIF(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PAPRS (KLON,0:KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PAPRSF(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PR (KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PT (KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PTS (KLON)
REAL(KIND=JPRB) ,INTENT(IN) :: PQS (KLON)
REAL(KIND=JPRB) ,INTENT(IN) :: PDPHIT(KLON)
LOGICAL ,INTENT(IN) :: LDCLS
REAL(KIND=JPRB) ,INTENT(OUT) :: PNBVNO(KLON,0:KLEV)
REAL(KIND=JPRB) ,INTENT(OUT) :: PCPS (KLON)
REAL(KIND=JPRB) ,INTENT(OUT) :: PGWDCS(KLON)
REAL(KIND=JPRB) ,INTENT(OUT) :: PLHS (KLON)
REAL(KIND=JPRB) ,INTENT(OUT) :: PZPCLS(KLON)
CHARACTER(LEN=7) ,INTENT(IN) :: CDLOCK
END SUBROUTINE ACHMTLS
END INTERFACE
